Page MenuHomePhabricator

Log message missing substituted variable
Closed, ResolvedPublic1 Estimated Story Points

Description

We seem to be pulling nonsense from the request, and logging the empty string.

Code:

  $action = $webRequest->getRawVal( ImportPreviewPage::ACTION_BUTTON );
  $this->logger->info( "Performing {$action} on ImportPlan for URL: {$clientUrl}" );

Log messages produced:

Performing on ImportPlan for URL: https://test2.wikipedia.org/wiki/File:038pro01.jpg

The only action which is logged here is "submit".

Event Timeline

awight created this task.Sep 17 2019, 8:38 AM
Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptSep 17 2019, 8:38 AM
awight triaged this task as Low priority.Sep 17 2019, 8:38 AM

Change 538164 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Stop logging empty default actions

https://gerrit.wikimedia.org/r/538164

thiemowmde moved this task from Backlog to Tickets in sprint on the Move-Files-To-Commons board.
thiemowmde set the point value for this task to 1.
thiemowmde moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2019-09-10 board.
thiemowmde moved this task from Incoming to In QWERTY sprint on the archived--TCB-Team board.

Change 538164 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Stop logging empty default actions

https://gerrit.wikimedia.org/r/538164

awight closed this task as Resolved.Sep 23 2019, 8:25 AM
awight claimed this task.
awight moved this task from Review to Done on the WMDE-QWERTY-Sprint-2019-09-10 board.
awight reopened this task as Open.Sep 23 2019, 8:29 AM
awight moved this task from Done to Demo on the WMDE-QWERTY-Sprint-2019-09-10 board.

No reason to rush this. I can't actually verify yet, none of these messages appear in beta logstash, which is strange since I ran an import an hour ago.

awight reassigned this task from awight to thiemowmde.Sep 23 2019, 8:29 AM
awight edited subscribers, added: thiemowmde; removed: awight.
awight edited subscribers, added: awight; removed: thiemowmde.
thiemowmde closed this task as Resolved.Sep 25 2019, 12:51 PM